> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-8c05c8a2.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# CDC ClickPipes のスケーリングを更新

> **このエンドポイントはベータです。** API コントラクトは安定しており、今後破壊的変更が発生することは想定されていません。 <br /><br /> DB ClickPipes のスケーリング設定を更新します。

インフラストラクチャは、初期ロードと CDC の両方について、サービス内のすべての DB ClickPipes で共有されます。スケーリング設定が完全に反映されるまで、数分かかる場合があります。

課金上は、2 CPU コアと 8 GB の RAM が 1 コンピュートユニットに[相当します](https://clickhouse.com/docs/cloud/manage/billing/overview#clickpipes-for-postgres-cdc)。組織 tier が変更された場合、DB ClickPipes は適切に[再スケーリング](https://clickhouse.com/docs/cloud/manage/billing/overview#compute)されます。

**このエンドポイントは、少なくとも 1 つの DB ClickPipe がプロビジョニングされると利用可能になります。**



## OpenAPI

````yaml /ja/_specs/cloud-openapi.json patch /v1/organizations/{organizationId}/services/{serviceId}/clickpipesCdcScaling
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/clickpipesCdcScaling:
    patch:
      tags:
        - ClickPipes
      summary: CDC ClickPipes のスケーリングを更新
      description: >-
        **このエンドポイントはベータです。** API コントラクトは安定しており、今後破壊的変更が発生することは想定されていません。 <br
        /><br /> DB ClickPipes のスケーリング設定を更新します。


        インフラストラクチャは、初期ロードと CDC の両方について、サービス内のすべての DB ClickPipes
        で共有されます。スケーリング設定が完全に反映されるまで、数分かかる場合があります。


        課金上は、2 CPU コアと 8 GB の RAM が 1
        コンピュートユニットに[相当します](https://clickhouse.com/docs/cloud/manage/billing/overview#clickpipes-for-postgres-cdc)。組織
        tier が変更された場合、DB ClickPipes
        は適切に[再スケーリング](https://clickhouse.com/docs/cloud/manage/billing/overview#compute)されます。


        **このエンドポイントは、少なくとも 1 つの DB ClickPipe がプロビジョニングされると利用可能になります。**
      parameters:
        - description: サービスを所有する組織の ID。
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: ClickPipe を所有するサービスの ID。
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClickPipesCdcScalingPatchRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 各リクエストに割り当てられる一意の ID。UUIDv4
                    format: uuid
                    type: string
                  result:
                    $ref: '#/components/schemas/ClickPipesCdcScaling'
                  status:
                    description: HTTP ステータスコード。
                    example: 200
                    type: number
                type: object
          description: 成功レスポンス
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 詳細なエラー説明。
                    type: string
                  status:
                    description: HTTP ステータスコード。
                    example: 400
                    type: number
                type: object
          description: クライアントエラーと判断される何らかの理由により、サーバーがリクエストを処理できない、または処理しません。
components:
  schemas:
    ClickPipesCdcScalingPatchRequest:
      properties:
        replicaCpuMillicores:
          description: DB ClickPipes の CPU（ミリコア）。
          example: 2000
          maximum: 24000
          minimum: 1000
          multipleOf: 1000
          type: integer
        replicaMemoryGb:
          description: DB ClickPipes のメモリ（GiB）。CPU コア数の4倍である必要があります。
          example: 8
          maximum: 96
          minimum: 4
          multipleOf: 4
          type: number
    ClickPipesCdcScaling:
      properties:
        replicaCpuMillicores:
          description: DB ClickPipes の CPU（ミリコア単位）。
          example: 2000
          maximum: 24000
          minimum: 1000
          multipleOf: 1000
          type: integer
        replicaMemoryGb:
          description: DB ClickPipes のメモリ（GiB 単位）。CPU コア数の 4 倍である必要があります。
          example: 8
          maximum: 96
          minimum: 4
          multipleOf: 4
          type: number
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud console で取得した key ID と key secret を使用してください:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````